Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Python 3.4 not supported (due to usage of Py_DecodeLocale) #6598

Closed
monetdb-team opened this issue Nov 30, 2020 · 0 comments
Closed

Python 3.4 not supported (due to usage of Py_DecodeLocale) #6598

monetdb-team opened this issue Nov 30, 2020 · 0 comments

Comments

@monetdb-team
Copy link

@monetdb-team monetdb-team commented Nov 30, 2020

Date: 2018-05-08 11:53:13 +0200
From: Ingo Müller <<bugzilla.monetdb.org>>
To: Documentation maintainers <>
Version: unspecified
CC: webhostinguk

Last updated: 2019-01-22 16:44:16 +0100

Comment 26421

Date: 2018-05-08 11:53:13 +0200
From: Ingo Müller <<bugzilla.monetdb.org>>

User-Agent: Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:59.0) Gecko/20100101 Firefox/59.0
Build Identifier:

When compiling with Python 3.4., I get the following error:

In file included from ../../../../../../sql/backends/monet5/UDF/pyapi3/pyapi3.c:13:0:
../../../../../../sql/backends/monet5/UDF/pyapi3/../pyapi/pyapi.c: In function 'PYAPI3PyAPIprelude':
../../../../../../sql/backends/monet5/UDF/pyapi3/../pyapi/pyapi.c:1313:3: error: implicit declaration of function 'Py_DecodeLocale' [-Werror=implicit-function-declaration]
wchar_t* program = Py_DecodeLocale("mserver5", NULL);
^
../../../../../../sql/backends/monet5/UDF/pyapi3/../pyapi/pyapi.c:1313:3: warning: nested extern declaration of 'Py_DecodeLocale' [-Wnested-externs]
../../../../../../sql/backends/monet5/UDF/pyapi3/../pyapi/pyapi.c:1313:22: warning: initialization makes pointer from integer without a cast
wchar_t* program = Py_DecodeLocale("mserver5", NULL);
^
I am compiling under Debian Jessie and I have python3-dev version 3.4.2-2 installed. The directory /usr/include/python3.4m/, which contains Python.h, indeed does not contain the string Py_DecodeLocale. Also, some googleing suggests that this function was introduced in Python 3.5.

I guess that this is OK, but should be documented. Better yet, the configure script should test for that and disable Python integration if only Python 3.4 was found. (If I do that, compilation works fine.)

Reproducible: Always

Comment 26422

Date: 2018-05-08 11:54:41 +0200
From: Ingo Müller <<bugzilla.monetdb.org>>

I tried to compile Mar2018_release.

Comment 26424

Date: 2018-05-09 10:37:29 +0200
From: MonetDB Mercurial Repository <>

Changeset 3103947f85fa made by Pedro Ferreira pedro.ferreira@monetdbsolutions.com in the MonetDB repo, refers to this bug.

For complete details, see https//devmonetdborg/hg/MonetDB?cmd=changeset;node=3103947f85fa

Changeset description:

Add check for Python 3.5 version in Python 3 UDFs. This fixes bug #6598

Comment 26425

Date: 2018-05-09 11:31:14 +0200
From: MonetDB Mercurial Repository <>

Changeset d9a1bee0ff29 made by Sjoerd Mullender sjoerd@acm.org in the MonetDB repo, refers to this bug.

For complete details, see https//devmonetdborg/hg/MonetDB?cmd=changeset;node=d9a1bee0ff29

Changeset description:

Properly fix bug #6598.

Comment 26448

Date: 2018-05-16 11:56:12 +0200
From: Ingo Müller <<bugzilla.monetdb.org>>

(Please let me know if I am expected to do something here. The change looks like it solves my problem, but I haven tested.)

Comment 26449

Date: 2018-05-16 12:39:44 +0200
From: @sjoerdmullender

I did try it out, and it worked for me.
I'm closing this bug. If it doesn't work after all, please reopen.

Comment 26841

Date: 2019-01-22 16:44:16 +0100
From: Morin Mote <>

Not working, please share specified in file.

--
Regards
http://www.webhostingreviewsx.co.uk/ipage-uk-hosting-reviews/

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Linked pull requests

Successfully merging a pull request may close this issue.

None yet
1 participant